Skip to content
EntitlerDocs

GET/v1/webhook-endpoint

Get the webhook endpoint

Returns the environment's webhook endpoint, or none, without its signing secret. Needs project:settings.

curl 'https://api.entitler.co/v1/webhook-endpoint' \
  -H "Authorization: Bearer $ENTITLER_KEY"

Credentials

Send any one of these:

  • Bearer token

Query parameters

NameTypeDescription
target.team_idstring
target.project_idstring
target.environment_idstring

Responses

200The GetWebhookEndpointResponse message.

GetWebhookEndpointResponse

  • endpointWebhookEndpoint
    • noticeDaysinteger (int64)required

      at least 0; at most 4294967295

    • updatedAtintegerrequired

      at least 0; at most 18446744073709552000

    • urlstringrequired

ErrorA refusal, with the HTTP status of its gRPC code.

Error

  • errorobjectrequired
    • codestringrequired
    • parametersobjectrequired

      Each value: string

    • reasonstringor nullrequired